---
title: Navigator.maxTouchPoints
slug: Web/API/Navigator/maxTouchPoints
tags:
  - API
  - HTML DOM
  - Navigator
  - Property
  - Reference
---
<div>{{APIRef("HTML DOM")}}</div>

<p>The <strong><code>maxTouchPoints</code></strong> read-only property of the {{domxref("Navigator")}} interface returns the maximum number of simultaneous touch contact points are supported by the current device.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><var>touchPoints</var> = <var>navigator</var>.maxTouchPoints;
</pre>

<h2 id="Example">Example</h2>

<pre class="brush: js">if (navigator.maxTouchPoints &gt; 1) {
  // browser supports multi-touch
}
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Pointer Events 2','#extensions-to-the-navigator-interface', 'maxTouchPoints')}}</td>
   <td>{{Spec2('Pointer Events 2')}}</td>
   <td>Non-stable version.</td>
  </tr>
  <tr>
   <td>{{SpecName('Pointer Events', '#extensions-to-the-navigator-interface', 'maxTouchPoints')}}</td>
   <td>{{Spec2('Pointer Events')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>{{Compat("api.Navigator.maxTouchPoints")}}</div>
